net.sf.jasperreports.engine.query

## Class AbstractQueryExecuterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory

- All Implemented Interfaces:
    JRQueryExecuterFactory, QueryExecuterFactory
  Direct Known Subclasses:
    AbstractXlsQueryExecuterFactory, JRCsvQueryExecuterFactory, JRHibernateQueryExecuterFactory, JRJdbcQueryExecuterFactory, JRJpaQueryExecuterFactory, JRMdxQueryExecuterFactory, JRMondrianQueryExecuterFactory, JRXmlaQueryExecuterFactory, JRXPathQueryExecuterFactory, JsonQueryExecuterFactory, Olap4jMondrianQueryExecuterFactory, Olap4jQueryExecuterFactory

      public abstract class AbstractQueryExecuterFactory
      extends java.lang.Object
      implements QueryExecuterFactory

  Version:
    $Id: AbstractQueryExecuterFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory

      `QUERY_EXECUTER_FACTORY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractQueryExecuterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRQueryExecuter` | `createQueryExecuter(JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)` Deprecated. Replaced by `QueryExecuterFactory.createQueryExecuter(JasperReportsContext, JRDataset, Map)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory

      `createQueryExecuter, getBuiltinParameters, supportsQueryParameterType`

- - ### Constructor Detail

    - #### AbstractQueryExecuterFactory

          public AbstractQueryExecuterFactory()

  - ### Method Detail

    - #### createQueryExecuter

          public final JRQueryExecuter createQueryExecuter(JRDataset dataset,
                                            java.util.Map<java.lang.String,? extends JRValueParameter> parameters)
                                                    throws JRException

      Deprecated. Replaced by `QueryExecuterFactory.createQueryExecuter(JasperReportsContext, JRDataset, Map)`.
      Description copied from interface: `JRQueryExecuterFactory`
      Creates a query executer.

      This method is called at fill time for reports/datasets having a query supported by this factory.
      Specified by:
        `createQueryExecuter` in interface `JRQueryExecuterFactory`
      Parameters:
        `dataset` - the dataset containing the query, fields, etc
        `parameters` - map of value parameters (instances of `JRValueParameter`) indexed by name
      Returns:
        a query executer
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com